extends Node2D

func _ready():
	# 1. 加载当前关卡（从GameState获取）
	var level_path = "res://Entity/Level/" + GameState.get_value("level", "N/A") + ".tscn"
	var level = load(level_path).instantiate()
	$CurrentLevel.add_child(level)

	# 2. 初始化UI（通过UIManager）
	#print("GameScene: 初始化UI（通过UIManager）")
	#UIManager.initialize_ui($UI_Main)

	# 3. 通知GameManager初始化完成
	#GameManager.mark_component_ready("ui_system")
